package com.jeeplus.finance.projectReport.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.jeeplus.finance.projectReport.domain.CwProjectReportOnlineArchiving;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

/**
 * @author 王强
 * @version 1.0
 * @date 2024-01-26 14:36
 */
@Mapper
public interface CwProjectReportOnlineArchivingMapper extends BaseMapper<CwProjectReportOnlineArchiving> {

    /**
     * 根据id修改状态
     * @param id
     * @param status
     */
    void updateStatusById(@Param("id") String id, @Param("status") String status);
    //仅用于删除ccpm系统的数据
    void deleteByTenantId();

    CwProjectReportOnlineArchiving findByReportId(@Param("id") String id);

    void deleteInfoById(@Param("prrId") String prrId);
}
